#include <iostream>
#include <string>
using namespace std;

int main(){
    int n;
    cin >> n;
    int *nizStr = new int[n-1];
    for (int i = 0; i < n - 1; i++)
        cin >> nizStr[i];

    if (n < 3)
        cout << 1;
    else if (n > 3 && n < 5)
        cout << 2;
    else if (n >= 6 && n < 10)
        cout << 3;
    else if (n >= 10 && n < 20)
        cout << 4;
    else
        cout << 5;
}